You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2016-11-23 17:24:02

t.guichard
Guest
Registered: 2016-11-02
Posts: 5

Aide sur Authentification automatique avec apache 2.4

Bonjour,

Y a-t-il une âme charitable qui voudrait bien m'aider avec l'authentification automatique.
J'ai regardé les divers tutos disponible sur le web, mais la plupart du temps, ce sont des tutos obsolètes qui fonctionne sur les veilles version d'Apache.
Le mod_auth_sspi.so ne marche plus avec Apache 2.4 donc j'ai cherché une autre solution.
J'ai essayé avec mod_authn_ntlm mais la seule chose qui se passe, c'est la demande d'authentification via le navigateur et non via glpi.
https://github.com/YvesR/mod_authn_ntlm … NSTALL.txt
Merci d'avance.

Offline

#2 2016-12-14 16:26:23

morpheus12
Guest
Registered: 2015-10-12
Posts: 163

Re: Aide sur Authentification automatique avec apache 2.4

Bonjour

J'utilise LoadModule authnz_sspi_module modules/mod_authnz_sspi.so que j'ai activé dans Apache

Dans le code j'ai mis ça :

<Directory "D:/xampp/htdocs/glpi">
Options None
AllowOverride All
Order allow,deny
Allow from all
AuthName "Protection"
AuthType SSPI
SSPIAuth On
SSPIAuthoritative On
SSPIOfferBasic On
SSPIOmitDomain Off
Require valid-user
Satisfy All
</Directory> 

Le seul problème est que des fois il demande aux utilisateurs de saisir leur code

ça ne le fait pas tout le temps


GLPI sous Windows : 9.1.1, Fusioninventory 9.1+1.0
Apache/2.4.7 (Win32) mod_authnz_sspi/0.1.0 PHP/5.4.22, MySQL : 5.5.34
300 machines Windows avec l'agent Fusioninventory 2.3.18
Autres plugins : Arrêté du parc 2.3.0, Badges    2.2.0, Bases de données    1.9.0,  Comptes 2.2.0, Gestion de baies    1.7.0, Escalades 2.1.0, Gestion des SIM 1.4.2, Imports fabricants    1.9.0

Offline

#3 2017-01-09 14:57:00

t.guichard
Guest
Registered: 2016-11-02
Posts: 5

Re: Aide sur Authentification automatique avec apache 2.4

morpheus12 wrote:

Bonjour

J'utilise LoadModule authnz_sspi_module modules/mod_authnz_sspi.so que j'ai activé dans Apache

Dans le code j'ai mis ça :

<Directory "D:/xampp/htdocs/glpi">
Options None
AllowOverride All
Order allow,deny
Allow from all
AuthName "Protection"
AuthType SSPI
SSPIAuth On
SSPIAuthoritative On
SSPIOfferBasic On
SSPIOmitDomain Off
Require valid-user
Satisfy All
</Directory> 

Le seul problème est que des fois il demande aux utilisateurs de saisir leur code

ça ne le fait pas tout le temps

J'ai testé mais a chaque fois, sans exception il me demande et le nom d'utilisateur et le mot de passe.

Last edited by t.guichard (2017-01-09 14:59:02)

Offline

#4 2017-01-15 19:15:49

bosco
Guest
From: Montpellier
Registered: 2011-11-17
Posts: 150
Website

Re: Aide sur Authentification automatique avec apache 2.4

Il faudrait passer par un SSO à côté. De mémoire il y a la possibilité de mettre ça en place sur un AD, mais je ne l'ai pas encore fait.


- SoluTek.fr -
GLPI 9.1.1
Apache 2.4.17 / PHP 5.6.21

Offline

#5 2017-02-24 12:11:16

azeurty
Guest
Registered: 2017-02-23
Posts: 1

Re: Aide sur Authentification automatique avec apache 2.4

Bonjour,

J'ai redige une procedure an anglais si vous voulez:

1. Download mod_authnz_sspi-0.1.1a1-2.4.x-x86-vc11.zip on www.apachehaus.net/modules/mod_authnz_sspi/
2. Copy/paste the module mod_authnz_sspi.so in apache\modules
3. Open httpd.conf:
    ▪ Uncomment LoadModule ldap_module modules/mod_ldap.so
    ▪ After the list of "LoadModule" add:

LoadModule authnz_sspi_module modules/mod_authnz_sspi.so

    ▪ At the end of this file add:
       

# GLPI SSO CONFIGURATION
        <Directory "C:/xampp/htdocs/glpi">
          Options None
          AllowOverride All
          Order allow,deny
          Allow from all
            
          AuthName "Deny access"
          AuthType SSPI
          SSPIAuth On
          SSPIAuthoritative On
          SSPIOfferBasic On
          SSPIOmitDomain On
          require valid-user
          Require user "NT AUTHORITY\ANONYMOUS LOGON" denied
        </Directory>

4. In Firefox:
    ▪ Go to about:config
    ▪ Enable network.automatic-ntlm-auth.allow-non-fqdn
            OR
    ▪ network.automatic-ntlm-auth.trusted-uris add "http://" or the hostname

Ca a fonctionne pour moi, ca devrait le faire pour vous j'espere smile

Bye

Last edited by azeurty (2017-02-24 14:25:39)

Offline

#6 2017-04-12 17:19:15

t.guichard
Guest
Registered: 2016-11-02
Posts: 5

Re: Aide sur Authentification automatique avec apache 2.4

J'ai tout fait comme indiqué, mais j'ai toujours le même résultat, une fenêtre de login avec les champs vides.


1c5aef9fafd64cd5bc3ca3fd43610566.png

Offline

Board footer

Powered by FluxBB